import axios from 'axios';
import { CLPublicKey, CLValueParsers, encodeBase64 } from 'casper-js-sdk';

const queryRepBalance = (props) => {
  const accountKeyBytes = CLValueParsers.toBytes(CLPublicKey.fromHex(props.publicKey)).unwrap();
  console.log('accountKeyBytes', accountKeyBytes);
  const b64accountKey = encodeBase64(accountKeyBytes);
  axios
    .get(`/api/repBalance?account=${b64accountKey}`)
    .then((response) => {
      alert(response.data);
    })
    .catch((error) => {
      console.error(error.message);
    });
};

function QueryRepBalance(props) {
  return <button type="button" onClick={() => queryRepBalance(props)}>Query REP Balance</button>;
}

export default QueryRepBalance;
